<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/tools/filter/load.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
    require_once(dirname(__FILE__).'/include.php');

    /* *** */

    $response = new JSONResponse();
    $response->set('module', 'OFFICITY:FILTER');

    $FILTER_ID = $_POST['filterID'];
    if (empty($FILTER_ID))
    {
       $response->outputError('No filter ID!');
    }
    $response->set('ID', $FILTER_ID);

    /* *** */

    $filter = new FilterElement($FILTER_ID);

    if ($filter->get() == false)
    {
        $response->outputError('Get failed: '.$filter->getLastError());
    }

    $nql = new Officity_Shell();

    $filter_command = $filter->getStaticCommand('search-filter');
    $nql->addCommand($filter_command);

    header("content-type: application/json; charset=UTF-8");
    echo $nql->transformToText(dirname(__FILE__).'/load.xsl');
?>